
Family Care - Bug #2368

File Cancelation 

02/14/2021 02:20 PM - Saja Nakhleh

Status: Closed Start date: 02/14/2021

Priority: Low Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

the cancelation date field is editable and

empty !

evidence 70.gif

Issue #2:

the field is accepting till 2000 characters

but on the cancelation report the value

will be trimmed to 14 chars ONLY.

evidence 71.gif

Issue #3:

the (أسباب الالغاء) field is not

mandatory and could be entered empty !

evidence 72.gif

Issue #4:

the (اسم المستخدم) field is not

mandatory and it's value could be emptyز

evidence 73.gif

Issue #5:

after the files is cancelled it will keep

opening and for each save action the

success message will be occurred every

time !

Issue #6:

the (رقم الملف) and (اسم صاحب الملف)

fields values will be NULL . evidence

74.gif

Issue #7:

the file will be opened successfully from

the debts and dues screen 

as the buffer will keep the file number

after it's selected first time before the

cancellation! 

ISsue #8:

1. On the inquiry screen the file status is

stopped

2. once it's opened from the cancellation

screen the info message will sho it's not

stopped ! ie: 265050101057, evidence

75.gif

NOTE: this issue stops testing the full

cycle (open new file, stop file, cancel file

then reopen the file again)

Severity: Normal Environment: QA

Category: File Cancelation Transaction Number:  
Sub-Category:  Username: USR00012/12345678

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: Issue #1:

the cancelation date field should be read

only and it's value should be the current

date ONLY and autodetected 

Issue #2:

the field (اسباب الالغاء)should accept a

fixed number of characters and any

additional chars should be trimmed

Issue #3:

1.The field (اسباب الالغاء) should be

marked with red start as it's mandatory

2.an error should be occurred to prevent

the user saving the form without the

cancelation reason

Issue #4:

the field (اسم المستخدم) should be read

only and auto detected (same as the

logged in searcher name)

Issue #5:

after the save action is clicked the file

should be closed

Issue #6:

the (رقم الملف) and (اسم صاحب الملف)

fields values should be detected

successfully 

Issue 7:

1. the file should not be opened as it's

cancelled file 

2. the buffer should reset it's value and

stop saving the file after the cancellation

is finished

ISsue #8:

while the file is in the exceptional stop

workflow, then either it's status should not

be stopped or it the info message should

show that the file is in progress

Test Case ID:  

Description

Issue #1:

1. Open the file cancelation form

2. Observe the cancelation date field

Issue #2:

1. Open the file cancelation form

2. Set the field (اسباب الالغاء) with big value (attached in 1000 char)

3. Click save

4. From (شاشة الاستعلام عن الملفات الملغية), Open the Cancelled file  in previous steps

5. Click Print and Observe the (سبب الالغاء) field value

Issue #3:

1. Open the file cancelation form

2. keep the field (اسباب الالغاء) empty

3. Click save

Issue #4:
1. Open the file cancelation form

2. Observe the field (اسم المستخدم) empty

Issue #5:

1. Open any file cancelation form

2. fill the mandatory fields

3. Click save

Issue #6:

1. Open the file cancelation form

2. Click (previous decisions) action

3. Observe the (رقم الملف) and (اسم صاحب الملف) fields values in the report

Issue #7:

1. Open any file cancelation form

2. fill the mandatory fields

3. Click save

4. open the (التسويات المالية) tab and select the debts and dues service

5. Observe the opened file data

ISsue #8:

1. from exceptional stop screen, stop any file

2. select the stopped file from step #1

3. select file cancelation screen

business issues:

if a file is canceled while it has tasks on progress, what should be happen for these tasks ?

ie. civil id: 283111500203

debts and dues task ID: 1295

History

#1 - 02/14/2021 02:40 PM - Saja Nakhleh

- File 75.GIF added

- Description updated

- Expected Result updated

- Actual Result updated

#2 - 02/14/2021 03:26 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Mohannad Sabra

- Actual Result updated

#3 - 02/16/2021 10:52 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Musab Khuraisat

#4 - 03/30/2021 01:55 PM - Mohannad Sabra

- Status changed from Open to Feedback

- Assignee changed from Musab Khuraisat to Saja Nakhleh

All issues solved and the deployment will be today evening time.

#5 - 04/07/2021 03:04 PM - Saja Nakhleh

- File 84.GIF added

- Assignee changed from Saja Nakhleh to Mohannad Sabra

A SHOW STOPPER is occuring that peventing submit any cancle task

#6 - 04/15/2021 12:47 PM - Mohannad Sabra
- Status changed from Feedback to In Progress

- Assignee changed from Mohannad Sabra to Musab Khuraisat

A SHOW STOPPER is occuring that peventing submit any cancle task (the issue has been )

issue #2 the field will be limited to a number that fits the file information report and limit the data entry to arabic Chars only

-issue #8 the issue is related to the file number 07101000 .

-For the the researcher Opinion the lable will be changes to "القرار" and the data will be limited to chars and numbers and 2000 length.

business issues:

if a file is canceled while it has tasks on progress, what should be happen for these tasks ?

(regarding this issue the below steps will be taken

1- to Check in case there is any transaction of any type that is on going

2- a message should be shown to the user when submit button is clicked that there is ongoing trans

3- in case the user choose to submit the transaction the ongoing transaction will be aborted and the submit transaction will be submitted

4- In case the user choose not to submit the trans action no action will be taken )

#7 - 04/20/2021 11:16 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

All issues solved and the deployment

#8 - 04/25/2021 02:48 PM - Saja Nakhleh

- File 95.GIF added

- Status changed from In Progress to Feedback

- Assignee changed from Saja Nakhleh to Musab Khuraisat

Issue #1:

tested and verified.

Issue #2:

tested and verified.

Issue #3:

tested and verified.

Issue #4:

tested and verified.

Issue #5:

tested and verified.

Issue #6:

tested and verified.

Issue #7:

a show stopper is reported in #2377 preventing testing this issue

Issue #8:

tested and verified for a normal file.
New issue, issue #9:

select the file of is:302081901049

cancel the file then search for it in the active and canceled files.

result: the file will not be found ! Observe the video:

loom.com/share/4427c5ef45cc43f6a14343882a94c307

Issue #10 (related to the business issue):

1. add 2 tasks for any file (id: 297011101587), complete one (task #149684) and keep the other in progress (task #1347)

2. cancel the file and check the old tasks table

results:

1. the completed data will not be inherited

2. the tasks in progress will not be shown !

evidence 95.gif

Issue #11:

1. select canceled file that canceled after change file process (265033100036/ file #08101321)

2. Observe the task date that inherit wrong values ! as on evidence 109.gif

3. Observe the task complete date is empty as on evidence 109.gif

the task #149866 is created and completed on 2/6/2021

#9 - 07/14/2021 02:06 PM - Saja Nakhleh

- File 109.GIF added

#10 - 07/14/2021 03:45 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

All issues have been resolved

#11 - 07/14/2021 10:51 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Musab Khuraisat

- Priority changed from Normal to Low

Issue #7:

tested and verified.

Issue #9:

tested and verified.

Issue #10:

only the completed tasks will be shown on the table, verified.

Issue #11:

are wrong ! as the task is submitted on 14/7/2021 تاريخ التقديم and تاريخ الطلب

evidence 122.gif
#12 - 07/17/2021 02:19 PM - Musab Khuraisat

- Assignee changed from Musab Khuraisat to Saja Nakhleh

The problem is not clear, please submit another request and provide me with the request number

#13 - 07/17/2021 02:35 PM - Saja Nakhleh

- File 122.GIF.gujd added

#14 - 10/26/2021 11:57 AM - Saja Nakhleh

- Status changed from Feedback to Closed

Issue #11:

tested and verified.

Files

70.GIF 90.9 KB 02/14/2021 Saja Nakhleh

71.GIF 51 KB 02/14/2021 Saja Nakhleh

1000 char.txt 1.56 KB 02/14/2021 Saja Nakhleh

72.GIF 39.8 KB 02/14/2021 Saja Nakhleh

73.GIF 42.5 KB 02/14/2021 Saja Nakhleh

74.GIF 146 KB 02/14/2021 Saja Nakhleh

75.GIF 210 KB 02/14/2021 Saja Nakhleh

84.GIF 49.3 KB 04/07/2021 Saja Nakhleh

95.GIF 116 KB 04/25/2021 Saja Nakhleh

109.GIF 97.9 KB 07/14/2021 Saja Nakhleh

122.GIF.gujd 47.6 KB 07/17/2021 Saja Nakhleh
